Bug 734085 - repo sync response: error: 'size_total'
Summary: repo sync response: error: 'size_total'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-29 12:25 UTC by Garik Khachikyan
Modified: 2019-09-25 21:06 UTC (History)
2 users (show)

Fixed In Version: katello-0.1.81-1-3-g3001b22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:54:06 UTC


Attachments (Terms of Use)

Description Garik Khachikyan 2011-08-29 12:25:39 UTC
Description of problem:
Call of `repo synchronize --id 1306817064823-sync_repo1314618811-sync_org1314618811` from katello shell fails in response with:
error: 'size_total' (more in the log file)

But the sync is processing okey (the packages are getting synced and so).

Version-Release number of selected component (if applicable):
katello-0.1.71-1.git.0.7bdb786.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1. prepare needed org, provider, product, repo for syncing the content.
2. call `repo synchronize --id 1306817064823-sync_repo1314618811-sync_org1314618811` from katello shell 
3.
  
Actual results:
Failure on the output of the command execution. 

Expected results:
No failure, call should work as expected

Additional info:

Comment 1 Tomas Strachota 2011-09-14 09:51:57 UTC
This was fixed when we refactored async tasks in CLI.
Working in:

commit 3001b22b56190530b907ba9b2d13960f34e94d73
Author: Tomas Strachota <tstrachota@redhat.com>
Date:   Tue Sep 13 13:47:25 2011 +0200

Comment 2 Garik Khachikyan 2011-09-23 11:29:14 UTC
# VERIFIED

Checked - now it's working without any errors like that.

Clean syncing progress displaying.

Checked against: katello-cli-0.1.10-1.git.278.85760dc.el6.noarch; katello-0.1.83-1.git.48.02111ba.fc15.noarch


Note You need to log in before you can comment on or make changes to this bug.